%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin
#global pyver %{nil}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global srcname scrapy

Name:           %{srcname}%{pyver}
Version:        0.20.2
%define		gitver a19c880
Release:        2%{?dist}
Summary:        Screen scaper

Group:          Development/Languages
License:        BSD
URL:		http://scrapy.org/
# download link is https://github.com/scrapy/scrapy/tarball/0.20 or similar
Source0:        %{srcname}-%{srcname}-%{version}-0-g%{gitver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:	python%{pyver}-lxml python%{pyver}-twisted >= 10.0.0 pyOpenSSL%{pyver}
BuildRequires:	python%{pyver}-w3lib >= 1.2 python%{pyver}-queuelib python%{pyver}-cssselect >= 0.9
Requires:	python%{pyver}-lxml python%{pyver}-twisted >= 10.0.0 pyOpenSSL%{pyver}
Requires:	python%{pyver}-w3lib >= 1.2 python%{pyver}-queuelib python%{pyver}-cssselect >= 0.9

%description
Scrapy is a fast high-level screen scraping and web crawling framework, used to
crawl websites and extract structured data from their pages. It can be used for
a wide range of purposes, from data mining to monitoring and automated testing.

%prep
%setup -q -n %{srcname}-%{srcname}-%{gitver}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
%if "%{pyver}" != ""
mkdir -p %{buildroot}%{pybindir}
pushd %{buildroot}%{_bindir}
	for i in *; do
		mv $i %{buildroot}%{pybindir}
		ln -s %{pybindir}/$i ${i%.py}%{pyver}
	done
popd
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTING.md LICENSE NEWS README.rst docs/*
%{_bindir}/*
%if "%{pyver}" != ""
%{pybindir}/*
%endif
%{python_sitelib}/%{srcname}
%{python_sitelib}/*.egg-info

%changelog
* Fri Jan 03 2014 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
